Method: projects.locations.repositories.deleteLongRunning

Deletes a single repository asynchronously.

HTTP request

POST https://dataform.googleapis.com/v1beta1/{name=projects/*/locations/*/repositories/*}:deleteLongRunning

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The repository's name.

Authorization requires the following IAM permission on the specified resource name:

  • dataform.repositories.delete

Request body

The request body contains data with the following structure:

JSON representation
{
  "force": boolean
}
Fields
force

boolean

Optional. If set to true, child resources of this repository (compilation results and workflow invocations) will also be deleted. Otherwise, the request will only succeed if the repository has no child resources.

Note: This flag doesn't support deletion of workspaces, release configs or workflow configs. If any of such resources exists in the repository, the request will fail.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/bigquery

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • dataform.repositories.delete

For more information, see the IAM documentation.